Bug 1476623 - [abrt] shotwell: g_menu_model_get_n_items(): shotwell killed by signal 11
[abrt] shotwell: g_menu_model_get_n_items(): shotwell killed by signal 11
Status: NEW
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:25a96a0e9c1d4dccec7da41dc44...
:
: 1524061 1541345 1554080 1555430 1563422 1563578 1574689 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 18:16 EDT by Mikhail
Modified: 2018-05-16 21:15 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.01 KB, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: cgroup (351 bytes, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: core_backtrace (37.38 KB, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: cpuinfo (1.22 KB, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: dso_list (15.74 KB, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: environ (2.07 KB, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: maps (77.56 KB, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: open_fds (999 bytes, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details
File: var_log_messages (315 bytes, text/plain)
2017-07-30 18:17 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2017-07-30 18:16:54 EDT
Description of problem:
Just crop and save changes

Version-Release number of selected component:
shotwell-0.27.0-1.fc27

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        shotwell /home/mikhail/Pictures/Screenshot from 2017-07-30 23-31-10.png
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=24d0af791076431694c780c06cf17a70;i=288ba;b=d06d82cf4a464cedb63d9301bc8fad45;m=3b530b4f9;t=5558d5a772d0a;x=2a4ab1830e0b266f
kernel:         4.13.0-0.rc2.git3.1.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_menu_model_get_n_items at gmenumodel.c:494
 #1 gtk_application_window_update_shell_shows_app_menu at gtkapplicationwindow.c:316
 #2 gtk_application_window_real_realize at gtkapplicationwindow.c:683
 #3 _g_closure_invoke_va at gclosure.c:867
 #6 gtk_widget_realize at gtkwidget.c:5461
 #11 single_photo_page_set_pixbuf at /home/jens/Source/shotwell/src/Page.vala:2165
 #12 editing_host_page_on_pixbuf_fetched at /home/jens/Source/shotwell/src/PhotoPage.vala:985
 #13 _editing_host_page_on_pixbuf_fetched_pixbuf_cache_fetched at /home/jens/Source/shotwell/src/PhotoPage.vala:926
 #17 g_signal_emit_by_name at gsignal.c:3487
 #18 pixbuf_cache_on_fetched at /home/jens/Source/shotwell/src/PixbufCache.vala:275

Potential duplicate: bug 1471882
Comment 1 Mikhail 2017-07-30 18:17:02 EDT
Created attachment 1306721 [details]
File: backtrace
Comment 2 Mikhail 2017-07-30 18:17:03 EDT
Created attachment 1306722 [details]
File: cgroup
Comment 3 Mikhail 2017-07-30 18:17:06 EDT
Created attachment 1306723 [details]
File: core_backtrace
Comment 4 Mikhail 2017-07-30 18:17:07 EDT
Created attachment 1306724 [details]
File: cpuinfo
Comment 5 Mikhail 2017-07-30 18:17:09 EDT
Created attachment 1306725 [details]
File: dso_list
Comment 6 Mikhail 2017-07-30 18:17:11 EDT
Created attachment 1306726 [details]
File: environ
Comment 7 Mikhail 2017-07-30 18:17:12 EDT
Created attachment 1306727 [details]
File: exploitable
Comment 8 Mikhail 2017-07-30 18:17:14 EDT
Created attachment 1306728 [details]
File: limits
Comment 9 Mikhail 2017-07-30 18:17:16 EDT
Created attachment 1306729 [details]
File: maps
Comment 10 Mikhail 2017-07-30 18:17:18 EDT
Created attachment 1306730 [details]
File: open_fds
Comment 11 Mikhail 2017-07-30 18:17:19 EDT
Created attachment 1306731 [details]
File: proc_pid_status
Comment 12 Mikhail 2017-07-30 18:17:21 EDT
Created attachment 1306732 [details]
File: var_log_messages
Comment 13 Jan Kurik 2017-08-15 02:23:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 14 Quentin Tayssier 2017-10-27 01:06:02 EDT
Similar problem has been detected:

Doing TestCase desktop basic panel QA.
 - Click on shotwell icon, 
 - Shotwell start,
 - Close shotwell.




reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        shotwell
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=77258c84f25d4b3f8c6335e954be3574;i=33ed;b=e90842edccae4ef091fe1dec4597fbe7;m=49301ed6;t=55c7fdf961d79;x=65638640763f1e08
kernel:         4.13.5-300.fc27.x86_64
package:        shotwell-0.27.0-3.fc27
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 qinhuajun 2017-12-08 03:17:20 EST
Similar problem has been detected:

when i close it, it crashed

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        shotwell /home/huajun/ /2017-12-08 15-49-31  .png
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=50dddeeb09694c3784a60240cb11acd5;i=6180;b=57710595a74548498d092c7bf75c88d1;m=ea18b7ed;t=55fcf7028ed3e;x=9fbfc7aaa64cec4f
kernel:         4.13.16-302.fc27.x86_64
package:        shotwell-0.27.1-1.fc27
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Mustapha Hadid 2017-12-09 13:00:54 EST
*** Bug 1524061 has been marked as a duplicate of this bug. ***
Comment 17 Jiri Prajzner 2018-01-16 05:18:37 EST
Similar problem has been detected:

rotated a picture to the right

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        shotwell /home/jprajzne/Pictures/1st.jpg
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=114ee97a160041688f39a4309284da8f;i=6818f;b=2ea09f5e717147b19616c265031ec2a8;m=1b94b8ecb;t=562e1f0da79c1;x=844f2a3c3b0f6a90
kernel:         4.14.11-300.fc27.x86_64
package:        shotwell-0.27.2-1.fc27
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Daniel 2018-01-18 20:35:22 EST
Similar problem has been detected:

Crashed on exit shortly after start-up.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        shotwell
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=e93d1d1d9412440e8e1c9d8a840111d6;i=8f4e1;b=98284a98e7224035a7586d309c20a8d8;m=3d864b49;t=563170e7be319;x=871ba5b80ce5b95c
kernel:         4.14.13-300.fc27.x86_64
package:        shotwell-0.27.2-1.fc27
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Rod Cerkoney 2018-01-22 06:27:42 EST
Similar problem has been detected:

Don't know it was just sitting in the back ground doing nothing.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        shotwell /mnt/DATA/Downloads/IMG_1798.JPG
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=f2459adb3b0d4230b742fb2f9f2b193a;i=b01;b=7db97c119b21495197fd969d2de4f4bd;m=47d37921;t=5635464f45e46;x=27faa049fb3996a1
kernel:         4.14.13-300.fc27.x86_64
package:        shotwell-0.27.2-1.fc27
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 gabriel.gass 2018-01-23 12:01:09 EST
Similar problem has been detected:

Opened an image of a screnshoot (from gnome-screenshot);
Clicked on ''Enhance" button;
Clicked on ''Adjust" button;

Window freeze and force-close menu appear.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        shotwell /home/gabriel/Downloads/1306.png
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=e2cd25cd06ef4015b13501bf2ef16888;i=1ca2;b=469a51951378420aaf1b43d02693b5ed;m=102e35dc9a;t=56350770075e4;x=fc56fc1aab68b89d
kernel:         4.14.11-300.fc27.x86_64
package:        shotwell-0.27.2-1.fc27
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Bruno Thomsen 2018-02-02 05:33:25 EST
*** Bug 1541345 has been marked as a duplicate of this bug. ***
Comment 22 Francesco Frassinelli (frafra) 2018-02-07 12:18:24 EST
Similar problem has been detected:

Rotating images.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        shotwell /home/frafra/Downloads/wentai zhang - permesso di soggiorno - retro.jpeg
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=909dc9b4e5bc4bfb8511e9e1998b1adf;i=5d9e8;b=f7709c85503648539d392bece72294c4;m=371d2ec7f;t=564a0cf44c674;x=2fbbff5acdb6f92f
kernel:         4.14.13-300.fc27.x86_64
package:        shotwell-0.27.2-1.fc27
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 Dima Dorofieiev 2018-03-11 06:17:06 EDT
*** Bug 1554080 has been marked as a duplicate of this bug. ***
Comment 24 Dylan Swift 2018-03-14 12:59:02 EDT
*** Bug 1555430 has been marked as a duplicate of this bug. ***
Comment 25 Artemio 2018-04-03 18:36:48 EDT
*** Bug 1563422 has been marked as a duplicate of this bug. ***
Comment 26 ekbfar 2018-04-04 04:39:13 EDT
*** Bug 1563578 has been marked as a duplicate of this bug. ***
Comment 27 Vinicio Guerra 2018-05-03 16:49:19 EDT
*** Bug 1574689 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.